0

I'm trying to install pyModis on anaconda win10 python 2.7 and I have GDAL and all the other dependencies installed. I get the following error -

`PackageNotFoundError: Packages missing in current channels.

I've tried

pip install and conda install

The weird thing is when I import pymodis on my ipthon I get no error, and when I search how to install it on https://anaconda.org/search?q=pyModis it does not have windows option.. so I'm not sure if it is possible to install it on windows10.

1

This question may be related to this answer https://gis.stackexchange.com/a/2279/103142 , despite you may have other dependencies installed, on windows it is recommended to use pyModis and GDAL from the OSGeo4W Shell.

This is also suggested by pyModis developers. Perhaps you already checked this http://www.pymodis.org/info.html#how-to-install-pymodis , but have a look on the information regarding how to install pyModis on Windows. Although there is an alternative to use pyModis outside OSGeo4W, it is not recommended, and the advice seems not to be updated.

I had a similar problem, and after checking GDAL, pyModis and Anaconda sites, i concluded that using OSGeo4W (https://trac.osgeo.org/osgeo4w/) is the best alternative for pyModis on windows. It has worked for me since then.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.